import { api, RouterInputs } from "@nice/client";
import { Prisma } from "packages/common/dist";
import { LetterCard } from "../LetterCard";

export default function LetterList({ params }: { params: RouterInputs["post"]["findManyWithPagination"] }) {

    const { data, isLoading } = api.post.findManyWithPagination.useQuery({
        page: 1,
        pageSize: 1,
        where: {},
        select: {}
    })
    return <div className="flex-grow flex flex-col gap-2">
        {data?.items.map((letter: any) => (
            <LetterCard key={letter.id} letter={letter} />
        ))}
    </div>
}